Skip to main content
GET
/
api
/
v1
/
services
cURL
curl --request GET \
  --url https://api.staging.qyl.dev/api/v1/services
import requests

url = "https://api.staging.qyl.dev/api/v1/services"

response = requests.get(url)

print(response.text)
const options = {method: 'GET'};

fetch('https://api.staging.qyl.dev/api/v1/services', options)
  .then(res => res.json())
  .then(res => console.log(res))
  .catch(err => console.error(err));


{
  "items": [
    {
      "name": "<string>",
      "instance_count": 123,
      "last_seen": "2023-11-07T05:31:56Z",
      "namespace_name": "<string>",
      "version": "2.1.0"
    }
  ],
  "has_more": true,
  "next_cursor": "<string>",
  "prev_cursor": "<string>"
}
{
  "type": "about:blank",
  "title": "Internal Server Error",
  "status": 123,
  "detail": "<string>",
  "instance": "<string>",
  "timestamp": "2023-11-07T05:31:56Z",
  "error_code": "<string>"
}

Query Parameters

namespaceName
string

Namespace filter

limit
integer<int32>
default:100

Page size

Required range: 1 <= x <= 1000
cursor
string

Cursor

Response

The request has succeeded.

Cursor-based paginated response wrapper

items
object[]
required

List of items in this page

has_more
boolean
required

Whether there are more items available

next_cursor
string

Cursor for the next page (null if no more pages)

prev_cursor
string

Cursor for the previous page (null if first page)